#!/bin/sh
export PATH='/usr/obj/ports/hs-monad-control-1.0.0.4/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: monad-control
version: 1.0.0.4
id: monad-control-1.0.0.4-cba44b774dc5fe262db4cea629c2d0ff
key: monad_A5OpBZGOGWYAeTgqU9cDKP
license: BSD3
copyright: (c) 2011 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/monad-control
synopsis: Lift control operations, like exception catching, through monad transformers
description:
    This package defines the type class @MonadBaseControl@, a subset of
    @MonadBase@ into which generic control operations such as @catch@ can be
    lifted from @IO@ or any other base monad. Instances are based on monad
    transformers in @MonadTransControl@, which includes all standard monad
    transformers in the @transformers@ library except @ContT@.
    .
    See the @lifted-base@ package which uses @monad-control@ to lift @IO@
    operations from the @base@ library (like @catch@ or @bracket@) into any monad
    that is an instance of @MonadBase@ or @MonadBaseControl@.
    .
    Note that this package is a rewrite of Anders Kaseorg'\''s @monad-peel@
    library. The main difference is that this package provides CPS style operators
    and exploits the @RankNTypes@ and @TypeFamilies@ language extensions to
    simplify and speedup most definitions.
category: Control
author: Bas van Dijk, Anders Kaseorg
exposed: True
exposed-modules:
    Control.Monad.Trans.Control
trusted: False
import-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
library-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
data-dir: /usr/local/share/hs-monad-control-1.0.0.4
hs-libraries: HSmonad-control-1.0.0.4-A5OpBZGOGWYAeTgqU9cDKP
depends:
    base-4.8.2.0-8dd7859ce039df9f3d3f4ff9dbf4bb93
    stm-2.4.4-e969ad03f1a61caf3d689ab8ef7862f8
    transformers-0.4.2.0-81450cd8f86b36eaa8fa0cbaf6efc3a3
    transformers-base-0.4.4-142b3afd0aa3b8485777370b30767f3e
    transformers-compat-0.4.0.4-8aa4073730c676dbe210ea8bffd8d092
haddock-interfaces: /usr/local/share/doc/hs-monad-control-1.0.0.4/html/monad-control.haddock
haddock-html: /usr/local/share/doc/hs-monad-control-1.0.0.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
